package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 状态 (0.未开始,1.进行中,2.已结束)枚举类
*
* @author zxfei
*/
public enum ProcessStatusEnum {
    未开始(0, "未开始"),
    进行中(1, "进行中"),
    已结束(2, "已结束");
    private Integer value;
    private String desc;

    ProcessStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ProcessStatusEnum getByValue(Integer value) {
        for (ProcessStatusEnum processStatusEnum : ProcessStatusEnum.values()) {
            if (processStatusEnum.getValue() == value) {
                return processStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ProcessStatusEnum item : ProcessStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}